This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 508597 - kpackagekit announces 'no more mirrors are available' every 5 minutes
kpackagekit announces 'no more mirrors are available' every 5 minutes
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kpackagekit (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Steven M. Parrish
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-28 20:54 EDT by Amit Shah
Modified: 2014-06-03 00:58 EDT (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 01:46:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Amit Shah 2009-06-28 20:54:00 EDT
Description of problem:
After the upgrade to kde 4.2.4 on F11, kpackagekit very annoyingly says there are no more mirrors available:

"Notification from KPackageKit
No more mirros are available
Required data could not be found on any of the configured software sources. There were no more download mirros that could be tried."

Of course, 'yum update' from the command line works fine.

kpackagekit-0.4.1.1-1.fc11.x86_64 : KDE interface for PackageKit


And this happens every few minutes.
Comment 1 Steven M. Parrish 2009-06-28 20:58:13 EDT
KPackageKit is working just fine in this regards for me on multiple systems.  There have also been no other reports in this regards.

Please do a rpm -q PackageKit and post the installed version

Steven
Comment 2 Amit Shah 2009-06-28 21:25:22 EDT
$ rpm -q PackageKit
PackageKit-0.4.8-1.fc11.x86_64
Comment 3 Kevin Kofler 2009-06-29 02:55:01 EDT
I guess there's some transient server-side problem with the mirror list.
Comment 4 Amit Shah 2009-06-29 03:04:14 EDT
I don't think so, for two reasons:
1. yum update works fine
2. this has been happening for 3-4 days now
Comment 5 Paul 2009-07-14 11:05:39 EDT
same problem here,

Fedora 11

PackageKit-0.4.8-1.fc11.x86_64

produces every 5 minutes "no more mirrors are available".

yum works fine.
Comment 6 Steven M. Parrish 2009-07-22 10:00:54 EDT
Paul, Amit are you both using kpackagekit or packagekit-gnome?

-- 
Steven M. Parrish - KDE Triage Master
                  - PackageKit Triager
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 7 Amit Shah 2009-07-22 10:37:25 EDT
kpackagekit, as originally reported. I've disabled it via systemsettings because of this bug.
Comment 8 Paul 2009-07-22 18:44:51 EDT
kpackagekit
Comment 9 Steven M. Parrish 2009-07-23 14:09:55 EDT
Please do

yum clean all

and then retry running kpackagekit.  I am still unable to reproduce this on my systems.

-- 
Steven M. Parrish - KDE Triage Master
                  - PackageKit Triager
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 10 redhat-bugs2eran 2009-08-02 21:36:49 EDT
Same problem here.
"yum clean all" makes no difference.
Comment 11 Steven M. Parrish 2009-08-03 05:44:56 EDT
Richard, in your opinion is this a kpackagekit or packagekit issue.
Comment 12 Richard Hughes 2009-08-03 05:57:13 EDT
Well, both. PackageKit is failing to get the update lists, but kpackagekit _really_ shouldn't be doing it every 5 minutes...

It would be interesting to see the output of:

sudo NETWORK=TRUE /usr/share/PackageKit/helpers/yum/yumBackend.py get-updates none

.. on the failing computer.
Comment 13 info 2009-08-11 16:59:20 EDT
Same here, using:
PackageKit-0.4.8-2.fc11.x86_64
kpackagekit-0.4.1.1-2.fc11.x86_64

It's not a continuous problem, mostly it works just fine and updates happily, but every week or so it comes up with this problem. Yum from commandline has no difficulty. The problem then goes away after a few days without obvious intervention, but comes back a while later. It's possible that there is occasionally a connection problem (this is a laptop with wireless), and I wouldn't mind if it gives a message and then keeps still until the next update cycle. But it shouldn't come up every five minutes then.

yum clean all doesn't help.

The output requested is:

sudo NETWORK=TRUE /usr/share/PackageKit/helpers/yum/yumBackend.py get-updates
/usr/lib/yum-plugins/fedorakmod.py:25: DeprecationWarning: the sets module is deprecated
  from sets import Set
Geladene Plugins: dellsysidplugin2, fastestmirror, fedorakmod, kernel-module,
                : presto, priorities, protectbase, refresh-updatesd, versionlock
Kein Plugin für Argument: rpm-warm-cache
Kein Plugin für Argument: remove-with-leaves
allow-cancel    false
error   internal-error  Error Type: <type 'exceptions.IndexError'>;Error Value: list index out of range;  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 2895, in <module>;    main();  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 2892, in main;    backend.dispatcher(sys.argv[1:]);  File : /usr/lib/python2.6/site-packages/packagekit/backend.py, line 632, in dispatcher;    self.dispatch_command(args[0], args[1:]);  File : /usr/lib/python2.6/site-packages/packagekit/backend.py, line 539, in dispatch_command;    filters = args[0];
finished

Hope this helps
Stephan
Comment 14 Michal Klich 2009-08-16 17:38:25 EDT
I just would like to confirm that i am sufferng from same issue here. I`ve run "yum clean all" with no results. When running

sudo NETWORK=TRUE /usr/share/PackageKit/helpers/yum/yumBackend.py get-updates
I`ve received same error as Stephan.

PackageKit-0.4.9-1.fc11.x86_64
kpackagekit-0.4.2-0.fc11.x86_64
Comment 15 Paul 2009-09-04 02:52:44 EDT
The problem remains intact. here's the output requested with

PackageKit-0.4.9-1.fc11.x86_64
kpackagekit-0.4.2-0.fc11.x86_64

NETWORK=TRUE /usr/share/PackageKit/helpers/yum/yumBackend.py get-updates
No plugin match for: rpm-warm-cache
No plugin match for: remove-with-leaves
allow-cancel    false
error   internal-error  Error Type: <type 'exceptions.IndexError'>;Error Value: list index out of range;  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 2867, in <module>;    main();  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 2864, in main;    backend.dispatcher(sys.argv[1:]);  File : /usr/lib/python2.6/site-packages/packagekit/backend.py, line 643, in dispatcher;    self.dispatch_command(args[0], args[1:]);  File : /usr/lib/python2.6/site-packages/packagekit/backend.py, line 550, in dispatch_command;    filters = args[0];
finished
Comment 16 Steven M. Parrish 2009-09-12 19:55:14 EDT
Any comments Richard before I upstream this to dantti?

-- 
Steven M. Parrish - KDE Triage Master
                  - PackageKit Triager
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 17 Richard Hughes 2009-09-13 04:31:27 EDT
(In reply to comment #15)
> The problem remains intact. here's the output requested with

Sorry, you need to include the "none" part of the output, so the last part of the path should look like:

...ers/yum/yumBackend.py get-updates none

It's only useful if this is done when kpackagekit is failing.
Comment 18 Joerg Mensmann 2009-09-24 16:09:02 EDT
Same problem here:
PackageKit-0.4.9-1.fc11.i586
kpackagekit-0.4.2-0.fc11.i586

I am once again getting these 'No more mirrors are available' messages from kpackagekit every few minutes today ('failure: repodata/filelists.xml.gz from adobe-linux-i386: [Errno 256] No more mirrors to try.')

After getting two of these notification, I started 'yum update' which updated the package list just fine, before downloading and installing some updates. No problems there. But when yum had finished, the error notifications started to appear again.

I then tried the following:
~# LANG= NETWORK=TRUE /usr/share/PackageKit/helpers/yum/yumBackend.py get-updates none
No plugin match for: rpm-warm-cache
No plugin match for: remove-with-leaves
allow-cancel    false
allow-cancel    true
no-percentage-updates
status  info
status  download-repository
subpercentage   0
subpercentage   100
status  download-repository
subpercentage   0
subpercentage   100
status  download-repository
subpercentage   0
subpercentage   100
status  download-repository
subpercentage   0
subpercentage   100
subpercentage   0
subpercentage   41
subpercentage   100
Excluding Packages in global exclude list
Finished
finished

The program sleeps for some time (minutes) after printing the final 'finished', then, directly after it has finished, kpackagekit shows a new error notification.

I tried disabling the Adobe repository and doing 'yum clean all', but that just changed the error message to: 'failure: repodata/5f68a595fda47c5fc69298a9bc738f192a9787d761ed02b78a5b0e1999fe1b09-filelists.sqlite.bz2 from rpmfusion-free: [Errno 256] No more mirrors to try.'

Killing the running packagekitd or kpackagekitsmarticon process did not change anything.
Comment 19 Michal Klich 2009-09-25 06:03:26 EDT
Here is output of "NETWORK=TRUE /usr/share/PackageKit/helpers/yum/yumBackend.py get-updates none"

kpackagekit-0.4.2-0.fc11.x86_64
PackageKit-0.4.9-1.fc11.x86_64



[michal@Michal-Junior]~% NETWORK=TRUE /usr/share/PackageKit/helpers/yum/yumBackend.py get-updates none
Wczytane wtyczki: fastestmirror, presto, upgrade-helper
allow-cancel    false
allow-cancel    true
no-percentage-updates
status  info
error   internal-error  Error Type: <type 'exceptions.UnicodeDecodeError'>;Error Value: 'ascii' codec can't decode byte 0xc4 in position 45: ordinal not in range(128);  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 2867, in <module>;    main();  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 2864, in main;    backend.dispatcher(sys.argv[1:]);  File : /usr/lib/python2.6/site-packages/packagekit/backend.py, line 643, in dispatcher;    self.dispatch_command(args[0], args[1:]);  File : /usr/lib/python2.6/site-packages/packagekit/backend.py, line 551, in dispatch_command;    self.get_updates(filters);  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 2158, in get_updates;    self.error(ERROR_NO_SPACE_ON_DEVICE, _to_unicode(e));  File : /usr/lib/python2.6/site-packages/packagekit/backend.py, line 119, in error;    print "error\t%s\t%s" % (err, description);  File : /usr/lib64/python2.6/codecs.py, line 351, in write;    data, consumed = self.encode(object, self.errors);
finished
Comment 20 Richard Hughes 2009-09-25 06:51:16 EDT
(In reply to comment #19)
> self.error(ERROR_NO_SPACE_ON_DEVICE, _to_unicode(e));  File :

What's the output of df -h ?

Richard.
Comment 21 Michal Klich 2009-09-25 07:55:50 EDT
/dev/sda5              12G  6,8G  4,2G  62% /
/dev/sda1             183M   32M  142M  18% /boot
/dev/sda4             200G   58G  136G  30% /home
tmpfs                 1,5G  1,6M  1,5G   1% /dev/shm
Comment 22 Bug Zapper 2010-04-27 11:19:47 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 23 Patrick C. F. Ernzer 2010-04-27 11:45:37 EDT
I get this on at least one of my F12 boxes as well. Adjusting release to 12
Comment 24 Bug Zapper 2010-11-04 06:56:12 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 25 Patrick C. F. Ernzer 2010-11-04 11:24:48 EDT
I do not remember seeing this on my F13 boxes.
Comment 26 Bug Zapper 2010-12-05 01:46:33 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 27 Brallan Jesús Aguilar Rivera 2014-06-03 00:14:26 EDT
Hi! I'm using Fedora 20 and I have this issue.
Comment 28 Brallan Jesús Aguilar Rivera 2014-06-03 00:58:13 EDT
I now why I was expecting it. When I running yum distro-sync, I found a package that needs to update (it's strange why kpackagekit no resolves it).

Note You need to log in before you can comment on or make changes to this bug.